`timescale 1ns / 1ps

module LCDtop(
	clk,
	I3, I2, I1, I0,
	lcd_rs, lcd_rw, lcd_e, lcd_4, lcd_5, lcd_6, lcd_7
	);

	// input and outputs
	input 	clk;
	input	I3, I2, I1, I0;
	output 	lcd_rs, lcd_rw, lcd_e, lcd_4, lcd_5, lcd_6, lcd_7;

	wire	I3, I2, I1, I0;
	wire 	lcd_rs, lcd_rw, lcd_e, lcd_4, lcd_5, lcd_6, lcd_7;

	// internal variables
	wire  [256:0]	chars;

	// LCD module
	LCD	lcd(	clk,
			chars,
			lcd_rs, lcd_rw, lcd_e, lcd_4, lcd_5, lcd_6, lcd_7);

	// assign character data
	assign chars[255:8] = "Hello World!!!!!      Value:   ";
	assign chars[7:0] = {4'b0011,I3, I2, I1, I0};

endmodule